Subject: Fw: [Mingw-users] This -mno-cygwin question is on topic here
From: "Norman Vine" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 14 Jan 2003 14:41:58 -0500

FYI

----- Original Message ----- 
From: "Greg Chicares" <[email-masked]>
To: "Norman Vine" <[email-masked]>; "mingw-users" <[email-masked]>
Sent: Tuesday, January 14, 2003 2:24 PM
Subject: Re: [Mingw-users] This -mno-cygwin question is on topic here

> Norman Vine wrote:
> > 
> > Greg Chicares writes:
> > >
> > > [...] it has been proposed to use 'mno-cygwin'
> > > in the wxWindows makefiles by default for all cygwin
> > > and mingw builds (cygwin and mingw share the same
> > > makefiles).
> > 
> > As long as there is a 'standard' way of building a Cygwin
> > version this sounds fine.
> > 
> > ie
> > ./configure --host=cygwin
> > and
> > ./configure --host=mingw32
> > 
> > should 'just do' the 'right thing' *automagically*
> 
> I guess that depends on what you think the right thing is.
> The person who submitted the patch says:
> 
> | Default to using -mno-cygwin, it works best in mingw/cygwin/wine
> | mkdir() takes only one argument in msvcrt, and 2 in all other cases
> 
> It looks like you could override this with
>   make COMMON_FLAGS='' some-wxwindows-target
> And it appears that this change has no effect on
> './configure', but affects only building with the
> canned makefiles.
> 
> If you disagree with the change, here's what to do:
> 
> | Patches item #667563, was opened at 2003-01-14 04:05
> | You can respond by visiting: 
> | https://sourceforge.net/tracker/?func=detail&atid=309863&aid=667563&group_id=9863
> 
> Further discussion ought to go there or a cygwin list.
> I don't have a personal interest in cygwin, and I'm not
> posting to their list because I'm not subscribed and
> wouldn't see any responses--so that would be rude. But
> if you're interested in wxWindows on cygwin, feel free
> to quote this email anywhere else.
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/